CREATE OR REPLACE PROCEDURE ADD_DOCTOR_PROCE (ESPECIALIDAD_DOC in VARCHAR2,ID_CITA in NUMBER,ID_EMPLEADO in NUMBER) IS
BEGIN
    INSERT INTO DOCTOR (ESPECIALIDAD_DOC,ID_CITA,ID_EMPLEADO) VALUES (ESPECIALIDAD_DOC,ID_CITA,ID_EMPLEADO);
END;

CREATE SEQUENCE DOC_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger DOCTOR_TRIGGER  
   before insert on "CLINICA"."DOCTOR" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_DOCTOR" is null then 
         select DOC_SEQUENCE.nextval into :NEW."ID_DOCTOR" from dual; 
      end if; 
   end if; 
end;

